#ifndef _UTILS_H_
#define _UTILS_H_

#define SCREEN_POINTER_ADDRESS 0xC0000010

#define LEVEL_X_OFFSET ((SCREEN_WIDTH - 28*7)/2)
#define LEVEL_Y_OFFSET 13

#define DIR_DOWN 0x01
#define DIR_UP 0x02
#define DIR_RIGHT 0x04
#define DIR_LEFT 0x08

inline uint8_t getFrighttime(uint8_t level);

inline void setuint8array(uint8_t* array, uint8_t el0, uint8_t el1, uint8_t el2, uint8_t el3);

inline void setuint16array(uint16_t* array, uint16_t el0, uint16_t el1, uint16_t el2, uint16_t el3);

uint32_t frightenedtimeelapsed(uint32_t start);

void copyLevelbuf(uint8_t* scrbuf, uint8_t* levelbuf);

uint32_t elapsedtime(uint32_t start);

void drawLifes(uint8_t* scrbuf, uint8_t lifes);

void drawScore(uint8_t* scrbuf, unsigned score);

void printscr(uint8_t* scrbuf, unsigned num);

#endif
